<?php
namespace BancoTalentos\Util;

use Zeedhi\Framework\Session\Session;

class BTParameters {

    public function __construct(Session $session)
    {
        $this->session = $session;
    }

    private function get($param) {
        return $this->session->get($param);
    }

    public function getCdoperador() {
        return $this->get('CDOPERADOR');
    }

    public function getNmOperador() {
        return $this->get('NMOPERADOR');
    }

    public function getNrOrg() {
        return $this->get('NRORG');
    }

    public function getNrOrgPadrao() {
        return $this->get('NRORG_PADRAO');
    }

    public function getNrParcNegocio(): string {
        return $this->get('NRPARCNEGOCIO');
    }
}
