<?php

namespace BancoTalentos\Util\FileServerClasses\FSMigration\FileServer;

class APIKeyHandler {
    const API_KEY_HEADER_NAME = "apiKey";

    private $APIKeyToken;

    public function __construct($APIKeyToken) {
        $this->APIKeyToken = $APIKeyToken;
    }

    public function getAPIKeyToken() {
        return $this->APIKeyToken;
    }

    protected function getFileServerCustomHeader() {
        return array(
            self::API_KEY_HEADER_NAME . ': '. $this->APIKeyToken
        );
    }
}